For the complete documentation index, see llms.txt. This page is also available as Markdown.

API Test Site

Volume pricing APIs

get

Get list volume pricings

Query parameters
querystringOptional
limitintegerOptionalExample: 20
statusstringOptional
sortstring · enumOptionalExample: decreasePossible values:
Responses
200

A list of volume pricings

application/json
idintegerOptionalExample: 1
titlestringOptionalExample: New Volume Pricing
statusboolean · enumOptionalExample: truePossible values:
typestringOptionalExample: quantity
discount_methodstringOptionalExample: variant
created_atstringOptionalExample: 2026-01-15T10:00:00
updated_atstringOptionalExample: 2026-01-15T10:00:00
get/volume-pricings
GET /api/v1/volume-pricings HTTP/1.1
Host: wholesale.samita.io
Accept: */*
[
  {
    "id": 1,
    "title": "New Volume Pricing",
    "status": true,
    "type": "quantity",
    "apply_customer": {
      "type": "all",
      "tags": []
    },
    "exclude_customer": {
      "type": "none",
      "tags": []
    },
    "apply_product": {
      "type": "all",
      "product_ids": [],
      "product_tags": [],
      "collection_ids": [],
      "apply_for_variants": false
    },
    "exclude_product": {
      "type": "none",
      "product_ids": [],
      "collection_ids": []
    },
    "discount_for_variants": [
      {
        "id": 8516448190631,
        "duplicated": false,
        "variant_pricing": true,
        "from_qty": "0",
        "from_amount": "0",
        "to_qty": "10",
        "to_amount": "0",
        "discount_groups": [
          {
            "name": "all",
            "type": "percent",
            "value": "10"
          }
        ],
        "variants": [
          {
            "id": 46747346763943,
            "duplicated": false,
            "from_qty": "0",
            "from_amount": "0",
            "to_qty": "10",
            "to_amount": "0",
            "discount_groups": [
              {
                "name": "all",
                "type": "percent",
                "value": "10"
              }
            ]
          }
        ]
      }
    ],
    "apply_market": {
      "type": "all",
      "handle": []
    },
    "discount_method": "variant",
    "discount_groups": [
      {
        "from_qty": "0",
        "from_amount": "0",
        "to_qty": "10",
        "to_amount": "0",
        "type": "percent",
        "value": "10"
      }
    ],
    "active_date": {
      "types": [],
      "start_at": "",
      "end_at": ""
    },
    "created_at": "2026-01-15T10:00:00",
    "updated_at": "2026-01-15T10:00:00"
  }
]
post

Create volume pricing

Body
titlestringOptionalExample: New Volume Pricing
statusboolean · enumOptionalExample: truePossible values:
typestringOptionalExample: quantity
discount_methodstringOptionalExample: variant
Responses
200

A volume pricing

application/json
idintegerOptionalExample: 1
titlestringOptionalExample: New Volume Pricing
statusboolean · enumOptionalExample: truePossible values:
typestringOptionalExample: quantity
discount_methodstringOptionalExample: variant
created_atstringOptionalExample: 2026-01-15T10:00:00
updated_atstringOptionalExample: 2026-01-15T10:00:00
post/volume-pricings
POST /api/v1/volume-pricings HTTP/1.1
Host: wholesale.samita.io
Content-Type: application/json
Accept: */*
Content-Length: 970

{
  "title": "New Volume Pricing",
  "status": true,
  "type": "quantity",
  "apply_customer": {
    "type": "all",
    "tags": []
  },
  "exclude_customer": {
    "type": "none",
    "tags": []
  },
  "apply_product": {
    "type": "all",
    "product_ids": [],
    "product_tags": [],
    "collection_ids": [],
    "apply_for_variants": false
  },
  "exclude_product": {
    "type": "none",
    "product_ids": [],
    "collection_ids": []
  },
  "discount_for_variants": [
    {
      "id": 8516448190631,
      "duplicated": false,
      "variant_pricing": true,
      "from_qty": "0",
      "from_amount": "0",
      "to_qty": "10",
      "to_amount": "0",
      "discount_groups": [
        {
          "name": "all",
          "type": "percent",
          "value": "10"
        }
      ],
      "variants": [
        {
          "id": 46747346763943,
          "duplicated": false,
          "from_qty": "0",
          "from_amount": "0",
          "to_qty": "10",
          "to_amount": "0",
          "discount_groups": [
            {
              "name": "all",
              "type": "percent",
              "value": "10"
            }
          ]
        }
      ]
    }
  ],
  "apply_market": {
    "type": "all",
    "handle": []
  },
  "discount_method": "variant",
  "discount_groups": [
    {
      "from_qty": "0",
      "from_amount": "0",
      "to_qty": "10",
      "to_amount": "0",
      "type": "percent",
      "value": "10"
    }
  ],
  "active_date": {
    "types": [],
    "start_at": "",
    "end_at": ""
  }
}
{
  "id": 1,
  "title": "New Volume Pricing",
  "status": true,
  "type": "quantity",
  "apply_customer": {
    "type": "all",
    "tags": []
  },
  "exclude_customer": {
    "type": "none",
    "tags": []
  },
  "apply_product": {
    "type": "all",
    "product_ids": [],
    "product_tags": [],
    "collection_ids": [],
    "apply_for_variants": false
  },
  "exclude_product": {
    "type": "none",
    "product_ids": [],
    "collection_ids": []
  },
  "discount_for_variants": [
    {
      "id": 8516448190631,
      "duplicated": false,
      "variant_pricing": true,
      "from_qty": "0",
      "from_amount": "0",
      "to_qty": "10",
      "to_amount": "0",
      "discount_groups": [
        {
          "name": "all",
          "type": "percent",
          "value": "10"
        }
      ],
      "variants": [
        {
          "id": 46747346763943,
          "duplicated": false,
          "from_qty": "0",
          "from_amount": "0",
          "to_qty": "10",
          "to_amount": "0",
          "discount_groups": [
            {
              "name": "all",
              "type": "percent",
              "value": "10"
            }
          ]
        }
      ]
    }
  ],
  "apply_market": {
    "type": "all",
    "handle": []
  },
  "discount_method": "variant",
  "discount_groups": [
    {
      "from_qty": "0",
      "from_amount": "0",
      "to_qty": "10",
      "to_amount": "0",
      "type": "percent",
      "value": "10"
    }
  ],
  "active_date": {
    "types": [],
    "start_at": "",
    "end_at": ""
  },
  "created_at": "2026-01-15T10:00:00",
  "updated_at": "2026-01-15T10:00:00"
}
get

Get volume pricing with ID

Path parameters
idintegerRequiredExample: 1
Responses
200

A volume pricing

application/json
idintegerOptionalExample: 1
titlestringOptionalExample: New Volume Pricing
statusboolean · enumOptionalExample: truePossible values:
typestringOptionalExample: quantity
discount_methodstringOptionalExample: variant
created_atstringOptionalExample: 2026-01-15T10:00:00
updated_atstringOptionalExample: 2026-01-15T10:00:00
get/volume-pricings/{id}
GET /api/v1/volume-pricings/{id} HTTP/1.1
Host: wholesale.samita.io
Accept: */*
{
  "id": 1,
  "title": "New Volume Pricing",
  "status": true,
  "type": "quantity",
  "apply_customer": {
    "type": "all",
    "tags": []
  },
  "exclude_customer": {
    "type": "none",
    "tags": []
  },
  "apply_product": {
    "type": "all",
    "product_ids": [],
    "product_tags": [],
    "collection_ids": [],
    "apply_for_variants": false
  },
  "exclude_product": {
    "type": "none",
    "product_ids": [],
    "collection_ids": []
  },
  "discount_for_variants": [
    {
      "id": 8516448190631,
      "duplicated": false,
      "variant_pricing": true,
      "from_qty": "0",
      "from_amount": "0",
      "to_qty": "10",
      "to_amount": "0",
      "discount_groups": [
        {
          "name": "all",
          "type": "percent",
          "value": "10"
        }
      ],
      "variants": [
        {
          "id": 46747346763943,
          "duplicated": false,
          "from_qty": "0",
          "from_amount": "0",
          "to_qty": "10",
          "to_amount": "0",
          "discount_groups": [
            {
              "name": "all",
              "type": "percent",
              "value": "10"
            }
          ]
        }
      ]
    }
  ],
  "apply_market": {
    "type": "all",
    "handle": []
  },
  "discount_method": "variant",
  "discount_groups": [
    {
      "from_qty": "0",
      "from_amount": "0",
      "to_qty": "10",
      "to_amount": "0",
      "type": "percent",
      "value": "10"
    }
  ],
  "active_date": {
    "types": [],
    "start_at": "",
    "end_at": ""
  },
  "created_at": "2026-01-15T10:00:00",
  "updated_at": "2026-01-15T10:00:00"
}
put

Update volume pricing

Body
titlestringOptionalExample: New Volume Pricing
statusboolean · enumOptionalExample: truePossible values:
typestringOptionalExample: quantity
discount_methodstringOptionalExample: variant
Responses
200

A volume pricing

application/json
idintegerOptionalExample: 1
titlestringOptionalExample: New Volume Pricing
statusboolean · enumOptionalExample: truePossible values:
typestringOptionalExample: quantity
discount_methodstringOptionalExample: variant
created_atstringOptionalExample: 2026-01-15T10:00:00
updated_atstringOptionalExample: 2026-01-15T10:00:00
put/volume-pricings/{id}
PUT /api/v1/volume-pricings/{id} HTTP/1.1
Host: wholesale.samita.io
Content-Type: application/json
Accept: */*
Content-Length: 970

{
  "title": "New Volume Pricing",
  "status": true,
  "type": "quantity",
  "apply_customer": {
    "type": "all",
    "tags": []
  },
  "exclude_customer": {
    "type": "none",
    "tags": []
  },
  "apply_product": {
    "type": "all",
    "product_ids": [],
    "product_tags": [],
    "collection_ids": [],
    "apply_for_variants": false
  },
  "exclude_product": {
    "type": "none",
    "product_ids": [],
    "collection_ids": []
  },
  "discount_for_variants": [
    {
      "id": 8516448190631,
      "duplicated": false,
      "variant_pricing": true,
      "from_qty": "0",
      "from_amount": "0",
      "to_qty": "10",
      "to_amount": "0",
      "discount_groups": [
        {
          "name": "all",
          "type": "percent",
          "value": "10"
        }
      ],
      "variants": [
        {
          "id": 46747346763943,
          "duplicated": false,
          "from_qty": "0",
          "from_amount": "0",
          "to_qty": "10",
          "to_amount": "0",
          "discount_groups": [
            {
              "name": "all",
              "type": "percent",
              "value": "10"
            }
          ]
        }
      ]
    }
  ],
  "apply_market": {
    "type": "all",
    "handle": []
  },
  "discount_method": "variant",
  "discount_groups": [
    {
      "from_qty": "0",
      "from_amount": "0",
      "to_qty": "10",
      "to_amount": "0",
      "type": "percent",
      "value": "10"
    }
  ],
  "active_date": {
    "types": [],
    "start_at": "",
    "end_at": ""
  }
}
{
  "id": 1,
  "title": "New Volume Pricing",
  "status": true,
  "type": "quantity",
  "apply_customer": {
    "type": "all",
    "tags": []
  },
  "exclude_customer": {
    "type": "none",
    "tags": []
  },
  "apply_product": {
    "type": "all",
    "product_ids": [],
    "product_tags": [],
    "collection_ids": [],
    "apply_for_variants": false
  },
  "exclude_product": {
    "type": "none",
    "product_ids": [],
    "collection_ids": []
  },
  "discount_for_variants": [
    {
      "id": 8516448190631,
      "duplicated": false,
      "variant_pricing": true,
      "from_qty": "0",
      "from_amount": "0",
      "to_qty": "10",
      "to_amount": "0",
      "discount_groups": [
        {
          "name": "all",
          "type": "percent",
          "value": "10"
        }
      ],
      "variants": [
        {
          "id": 46747346763943,
          "duplicated": false,
          "from_qty": "0",
          "from_amount": "0",
          "to_qty": "10",
          "to_amount": "0",
          "discount_groups": [
            {
              "name": "all",
              "type": "percent",
              "value": "10"
            }
          ]
        }
      ]
    }
  ],
  "apply_market": {
    "type": "all",
    "handle": []
  },
  "discount_method": "variant",
  "discount_groups": [
    {
      "from_qty": "0",
      "from_amount": "0",
      "to_qty": "10",
      "to_amount": "0",
      "type": "percent",
      "value": "10"
    }
  ],
  "active_date": {
    "types": [],
    "start_at": "",
    "end_at": ""
  },
  "created_at": "2026-01-15T10:00:00",
  "updated_at": "2026-01-15T10:00:00"
}
delete

Delete volume pricing by IDs

Path parameters
idsintegerRequiredExample: 1
Responses
200

Delete volume pricings

application/json
successbooleanOptionalExample: true
delete/volume-pricings/{ids}
DELETE /api/v1/volume-pricings/{ids} HTTP/1.1
Host: wholesale.samita.io
Accept: */*
{
  "success": true
}

Last updated

Was this helpful?